Name: gfax
Version: 0.6.4
Release: alt1

Summary: Fax program for mono

Group: Office
License: GPL
Url: http://gfax.cowlug.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

BuildArch: noarch

Requires(post): GConf2
BuildPreReq: GConf2

# Automatically added by buildreq on Wed Jan 21 2004
BuildRequires: glib2 libgtk-sharp mcs mono

%description
Gfax is a popup tool for easily sending
facsimilies by printing to a fax printer.

%prep
%setup -q
# for broken mono package
%__subst "s|mono |/usr/lib/mono/bin/mono |g" gfax gfaxlpr

%build
export PATH=${PATH}:/usr/lib/mono/bin
[ ! -f Makefile ] || make clean
make schema
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/gconf/schemas
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/gfax
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/var/spool/gfax

install -m 644 data/gfax.schema $RPM_BUILD_ROOT/etc/gconf/schemas/gfax.schema
install -m 755 mono-gfax.exe $RPM_BUILD_ROOT/usr/bin/mono-gfax.exe
install -m 755 gfax $RPM_BUILD_ROOT/usr/bin/gfax
install -m 755 gfaxlpr $RPM_BUILD_ROOT/usr/bin/gfaxlpr
install -m 644 pixmaps/gfax.png $RPM_BUILD_ROOT/usr/share/pixmaps/gfax.png
install -m 644 data/gfax.desktop $RPM_BUILD_ROOT/usr/share/applications/gfax.desktop
install -m 755 scripts/printer-setup.sh $RPM_BUILD_ROOT/usr/share/gfax/printer-setup.sh
install -m 644 data/fax-g3.profile $RPM_BUILD_ROOT/usr/share/gfax/fax-g3.profile
install -m 644 data/GFAX.xml $RPM_BUILD_ROOT/usr/share/gfax/GFAX.xml
install -m 644 data/GNOME-GFAX-PS.xml $RPM_BUILD_ROOT/usr/share/gfax/GNOME-GFAX-PS.xml

install -d -m 777 $RPM_BUILD_ROOT/var/spool/gfax

for doc in AUTHORS COPYING README INSTALL NEWS TODO ChangeLog; do
	rm -f $RPM_BUILD_ROOT%_docdir/gfax/$doc;
done;

%post
%gconf2_install %name
# run the printer install
#%_datadir/gfax/printer-setup.sh --install

%preun
#%_datadir/gfax/printer-setup.sh --remove
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files
%config %_sysconfdir/gconf/schemas/*.schema
%_bindir/mono-gfax.exe
%_bindir/gfax
%_bindir/gfaxlpr
%_datadir/applications/*.desktop
%_datadir/pixmaps/*
%_datadir/gfax
/var/spool/gfax

%doc AUTHORS COPYING ChangeLog README INSTALL NEWS TODO

%changelog
* Wed Jan 05 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.4-alt1
- first build for ALT Linux Sisyphus

